> For the complete documentation index, see [llms.txt](https://developer.redflagalert.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.redflagalert.net/company-resources/previous-names.md).

# Previous Names

If a company has previously been known by another name, this endpoint will list those previous names.

### Example URL:

```
https://api2.redflagalert.net/v4/companies/03039051/previous-names/
```

### JSON Structure:

```javascript
{
	"data": [{
		"attributes": {
			"name": "VIX TECHNOLOGY LIMITED",
			"end_date": "2015-11-11",
			"start_date": "2014-07-01"
		},
		"type": "previous_name",
		"id": "1842808"
	}]
}
```

### Attributes

| Field Key    | Description                                                 | Notes |
| ------------ | ----------------------------------------------------------- | ----- |
| `name`       | The previous registered name for this business.             |       |
| `end_date`   | The final date that the business was known bvy this name.   |       |
| `start_date` | The first date that the business became known by this name. |       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.redflagalert.net/company-resources/previous-names.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
